Get details of all external data provider

get

/fscmRestApi/resources/11.13.18.05/externalDataProviderForSuppliers/{ExternalDataProviderId}

Request

Path Parameters
  • The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
  • This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2

    Format: <attr1>=<val1>,<attr2>=<value2>
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : externalDataProviderForSuppliers-item-response
Type: object
Show Source
  • Title: Path for Company Logo
    Maximum Length: 4000
    Path in the external data provider response payload for the icon of the company returned as a match.
  • Title: Path for Company Name
    Maximum Length: 4000
    Path in the external data provider response payload for the company name that's returned as a match.
  • Title: Path for Company URL
    Maximum Length: 4000
    Path in the external data provider response payload for the website of the company returned as a match.
  • Title: Validate for Supplier Country
    Maximum Length: 4000
    Country code supported by the external data provider. The attribute can be left blank if all countries are supported.
  • Title: Company Selection Limit per Session
    The maximum number of company selections a user can make in a session of the self-service supplier registration.
  • Title: Provider Enabled
    Maximum Length: 1
    Default Value: true
    Contains one of the following values: true or false. If true, then the external data provider for suppliers isn't configured. If false, then the data provider is configured. The default value is false.
  • Title: Provider Code
    Maximum Length: 255
    Abbreviation that identifies the external data provider for suppliers. For example, Vision Corporation is called VC.
  • Title: Provider ID
    External data provider for suppliers.
  • Title: Provider Name
    Maximum Length: 4000
    Company name of the external data provider for suppliers.
  • Title: Path for First Additional Company Attribute
    Maximum Length: 4000
    Path in the external data provider response payload for the first user-defined attribute of the company returned as a match.
  • Links
  • Title: Primary Provider
    Maximum Length: 1
    Default Value: true
    Contains one of the following values: true or false. If true, then the external data provider for suppliers is configured as primary. If false, then the data provider isn't configured as primary one. The default value is false.
  • Title: Provider Back End Name
    Maximum Length: 64
    Name of the token relay and proxy back-end where the external data provider credentials are stored.
  • Title: Path for Company Identifier
    Maximum Length: 4000
    Path in the external data provider response payload that uniquely identifies the matched company. This value is required for enrichment integration.
  • Title: Provider Integration Type
    Maximum Length: 255
    Indicates whether the integration supported by the external data provider is for validating a supplier profile attribute or for enriching the supplier profile. Valid values are Validation and Enrichment.
  • Title: Validation Provider API Method
    Maximum Length: 255
    HTTP method supported by the external data provider. Valid values are POST, PATCH, and GET. This attribute is required for validation integrations.
  • Title: Company Search Limit per Session
    The maximum number of searches a user can make in a session of the self-service supplier registration.
  • Title: Path for List of Companies
    Maximum Length: 4000
    Path in the external data provider response payload for the search candidates returned as matches.
  • Title: Provider Search URL
    Maximum Length: 4000
    URL path segment for the external data provider supplier request, excluding the domain and protocol.
  • Title: Path for Second Additional Company Attribute
    Maximum Length: 4000
    Path in the external data provider response payload for the second user-defined attribute of the company returned as a match.
  • Title: Validation Status Lookup
    Maximum Length: 255
    Lookup type that defines the final validation statuses. This attribute is required for validation integrations.
  • Title: Path for Third Additional Company Attribute
    Maximum Length: 4000
    Path in the external data provider response payload for the third user-defined attribute of the company returned as a match.
  • Title: Attribute to Validate
    Maximum Length: 30
    Supplier attribute validated by the external data provider. For example, Taxpayer ID. This attribute is required for validation integrations.
Back to Top